<html devsite><head>
    <title>使用特殊测试组</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>某些测试组可能需要或支持特殊命令行选项，或在特定系统上使用时需要特别注意。</p>

<h2 id="memory_allocation_stress_tests">内存分配压力测试</h2>

<p>内存分配压力测试会模拟测试内存不足的情况，方法是重复分配特定资源，直到驱动程序报告内存不足错误。</p>

<p>在某些平台（例如 Android 和大多数 Linux 变体）上，可能会发生以下情况：操作系统可能会终止测试进程，而非允许驱动程序处理或以其他方式产生内存不足错误。在此类平台上，旨在产生内存不足错误的测试默认处于停用状态，必须使用 <code>--deqp-test-oom=enable</code> 命令行参数来启用。建议您手动运行此类测试，以检查系统在面临资源压力时是否正常运行。不过在这种情况下，测试过程崩溃应被视为通过测试。</p>

<h3 id="test_groups">测试组</h3>

<pre class="devsite-click-to-copy">
dEQP-GLES2.stress.memory.*
dEQP-GLES3.stress.memory.*
</pre>

<h2 id="long-running_rendering_stress_tests">长时间运行的渲染压力测试</h2>

<p>渲染压力测试旨在揭示持续渲染负载下的稳健性问题。默认情况下，测试仅会执行几次迭代，但可通过提供 <code>--deqp-test-iteration-count=-1</code> 命令行参数来配置为无限期运行。如果要长时间运行这些测试，应停用测试监控程序 (<code>--deqp-watchdog=disable</code>)。</p>

<h3 id="test_groups2">测试组</h3>

<pre class="devsite-click-to-copy">
dEQP-GLES2.stress.long.*
dEQP-GLES3.stress.long.*
</pre>

</body></html>